<?php

namespace common\modules\analyticsSchool\models;

use Yii;

/**
 * This is the model class for table "analytics_school_course".
 *
 * @property integer $id
 * @property string $name
 * @property string $description
 * @property string $image
 */
class AnalyticsSchoolCourse extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'analytics_school_course';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['description', 'image'], 'string'],
            [['name'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'name' => 'Название курса',
            'description' => 'Описание',
            'image' => 'Изображение',
        ];
    }
}
